package com.ss.android.ugc.aweme.plugin.aab;

import X.AnonymousClass811;
import X.AnonymousClass895;
import X.C155688t;
import X.C25818f6;
import X.C25828f7;
import X.C25868fB;
import X.C25898fE;
import X.C25908fF;
import X.C25968fL;
import X.C25978fM;
import X.C26028fR;
import X.C26218fk;
import X.C26308ft;
import X.C26788gf;
import X.Lnj;
import X.M12;
import com.bytedance.covode.number.Covode;
import com.bytedance.frameworks.apm.trace.MethodCollector;
import com.bytedance.ies.ugc.aweme.plugin.service.IPluginService;
import java.util.List;
import java.util.Locale;
import kotlin.h.b.n;

public class AabPluginServiceImpl implements IPluginService {
    static {
        Covode.recordClassIndex(97310);
    }

    public final List<String> LIZ() {
        return C155688t.LIZ();
    }

    public final C26788gf LIZIZ() {
        return new AnonymousClass811();
    }

    public static IPluginService LIZJ() {
        MethodCollector.i(14730);
        IPluginService iPluginService = (IPluginService) Lnj.LIZ(IPluginService.class, false);
        if (iPluginService != null) {
            MethodCollector.o(14730);
            return iPluginService;
        }
        Object LIZIZ = Lnj.LIZIZ(IPluginService.class, false);
        if (LIZIZ != null) {
            IPluginService iPluginService2 = (IPluginService) LIZIZ;
            MethodCollector.o(14730);
            return iPluginService2;
        }
        if (Lnj.P == null) {
            synchronized (IPluginService.class) {
                try {
                    if (Lnj.P == null) {
                        Lnj.P = new AabPluginServiceImpl();
                    }
                } catch (Throwable th) {
                    MethodCollector.o(14730);
                    throw th;
                }
            }
        }
        AabPluginServiceImpl aabPluginServiceImpl = (AabPluginServiceImpl) Lnj.P;
        MethodCollector.o(14730);
        return aabPluginServiceImpl;
    }

    public final boolean LIZ(String str) {
        return C155688t.LIZ(str);
    }

    public final void LIZ(C26308ft r8) {
        C25868fB r1;
        C26028fR r0;
        M12.LIZ(r8);
        Locale locale = r8.LJII;
        String str = r8.LIZ;
        boolean z = r8.LIZJ;
        C25968fL r3 = r8.LJFF;
        if (r3 == null) {
            r3 = new C25978fM().LIZ();
        }
        C26218fk r2 = new C26218fk(r8, z);
        if (locale != null) {
            n.LIZIZ(r3, "");
            r1 = new C25828f7(locale, z, r2, r3);
        } else {
            n.LIZIZ(str, "");
            n.LIZIZ(r3, "");
            r1 = new C25818f6(str, z, r2, r3);
        }
        r1.LJIIJ = r8.LJ;
        r1.LIZJ = r8.LJI;
        if (r1 instanceof C25828f7) {
            r0 = new C25908fF((C25828f7) r1);
        } else {
            r0 = new C25898fE((C25818f6) r1);
        }
        r0.LIZ();
    }

    public final boolean LIZ(String str, String str2) {
        return AnonymousClass895.LIZ(str, str2);
    }
}
